import * as React from "react";
import { IconButtonProps, IconButtonVariant } from "./types";
declare const iconButtonVariants: (props?: ({
    variant?: IconButtonVariant | null | undefined;
    selected?: boolean | null | undefined;
    size?: "icon" | "default" | "sm" | "lg" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
declare const IconButton: React.ForwardRefExoticComponent<IconButtonProps & React.RefAttributes<HTMLButtonElement>>;
export { IconButton, iconButtonVariants };
